InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::ValentiAlgorithmSettings Struct Reference

Valenti Orientation Algorithm Settings. More...

`#include <OrientationSettings.h>`

## Public Member Functions
| ValentiAlgorithmSettings ()
| ValentiAlgorithmSettings (std::wstring const &argString)
std::wstring const | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
double | accelGain
| Influence of accelerometer (0 <= value <= 1), default is 0.0005.
double | compassGain
| Influence of compass (0 <= value <= 1), default is 0.001.
bool | enableAdaptiveGain
| Enable automatic accelerometer gain adjustment, default is true.

## Detailed Description

Valenti Orientation Algorithm Settings.

Struct containing settings for Valenti orientation algorithm.

## Constructor & Destructor Documentation

## ◆ ValentiAlgorithmSettings() [1/2]

inertia::ValentiAlgorithmSettings::ValentiAlgorithmSettings | ( |  | ) |

Default constructor.

## ◆ ValentiAlgorithmSettings() [2/2]

inertia::ValentiAlgorithmSettings::ValentiAlgorithmSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates ValentiAlgorithmSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::ValentiAlgorithmSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for ValentiAlgorithmSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

std::wstring const inertia::ValentiAlgorithmSettings::ToString | ( |  | ) | const

Get a string representation of this ValentiAlgorithmSettings. The string is compatible with GetOptionDescription() and ValentiAlgorithmSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- OrientationSettings.h